Ubuntu

tilp doesn't work out of the box with the TI-GRAPH LINK USB cable

Reported by Pierre Slamich on 2006-06-10
48
This bug affects 5 people
Affects Status Importance Assigned to Milestone
tilp (Ubuntu)
Undecided
Unassigned

Bug Description

It requires a module to be built :
"If you have a SilverLink cable (TI-GRAPH LINK USB), you will need to retrieve

a Linux/Win32/Mac OS-X driver on the Linux Programmer Group at

<http://lpg.ticalc.org/prj_usb>."
I could compile it, but it would be far better if it was in the repos.
Moreover,although the cable is now detected (the name appears when listing usb devices), i can't transfer anything through tilp.
Finally, you need to launch tilp as root to make it work correctly, and as a result you have access to root folders where there's nothing (i couldn't access any of my regular files)

William Grant (wgrant) on 2006-11-07
Changed in tilp:
status: Unconfirmed → Confirmed
Jeffrey Knockel (jeff250) wrote :

I've recently run into the same wall. I tried installing the usb cable driver myself, and got similar results--shows up in lsusb, but doesn't actually work with tilp. It would be neat if I could transfer to and from my calculator with Ubuntu.

Shawn vega (svega85-gmail) wrote :

i have the same problem on my feisty fawn 7.04 amd64 with ti 84 plus silver

Bennett Kanuka (bkanuka) wrote :

I also wish this would work. (ti 84 plus silver)

Etienne (etienne-rebetez) wrote :

It would be a great thing if it would work on ubuntu:)
I have feisty, a ti89 and the silver usb cable.
I put the output of the cosole in the Attachment. (perhabs it helps...)

Thank you for taking the time to report this bug and helping to make Ubuntu better. You reported this bug a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue for you. Can you try with the latest Ubuntu release? Thanks in advance.

Changed in tilp:
status: Confirmed → Incomplete
rsanchez1 (rsanchez1990) wrote :

I just installed TiLP on intrepid ibex 8.10 amd64 and I can't get it to work. I have a Ti-84+ with the USB cable to connect it to the pc, and it works with windows, but I can't get it to work on ubuntu. I choose the black link cable option under Setup->Communication, and it never communicates with my 84+. The other cable options always give me "msg: the node does not exist."

Thank you rsanchez1, thus I set this back to confimed.

Changed in tilp:
status: Incomplete → Confirmed
rhaag71 (rhaag71) wrote :

Same issue here too.

I just bought the TI 84+ with the standard USB cable that comes with it. I have tried tilp, then read that you need tilp2 for the USB cable to work. It does not work either. I read that it would work fine w/ tilp or tilp2 if I used the older style serial cable, but have not tried it yet (have to build one first and need the small 2.4 mm stereo connector).

I have played with some of the permissions in for udev "/etc/udev/rules.d/025_libticables.rules" , but ultimately reverted back to what tilp2 package had set it too, really the permissions I used where not truly any different, in other words it seems that the package set it correctly according to posts around the net.

It seems that it might be something with ticables having issues accessing the USB (possibly the USB-FS), I have also tried to use "sudo mount --rbind /dev/bus/usb /proc/bus/usb" per suggestion from the forums, but no luck. I also do not have any node in /dev for TI either. If I make any headway I will post back here though, and of course will subscribe to this post and do my best to help, thanks all!

BTW- I'm running Intrepid 32bit, and of course got tilp2 from the repos

R Haag

rhaag71 (rhaag71) wrote :

Here is a workaround, and a fairly painless one at that. This will work for now, and may help in finding the issue in the future. Basically I just installed the deb packages for tilp2 from the calcforge repos.

This is what I did to get tilp2 working on my Intrepid (32bit) install...

First, if you still have the tilp2 (and dependencies) installed from the repos, open synaptic and remove them.

Then goto this site and get the packages needed...

http://repo.calcforge.org/debian/i386/dists/stable/main/binary-i386/

(for a description of each package, click on the 'Packages' link in the directory at this site, you
can download the description file by downloading 'Packages.gz' file)

download the following packages...

libticonv3_1.1.0-1_i386.deb
libtifiles2-5_1.1.1-1_i386.deb
libticalcs2-7_1.1.3-1_i386.deb
libticables2-1_1.2.0-1_i386.deb

gfm_1.02-1_i386.deb
tilp2_1.12-1_i386.deb

NOTE: I installed all of these in the order listed above

After successful install of the above packages you will have to open a terminal and run tilp as sudo

$ sudo tilp

also gfm will run as normal, just type 'gfm' in a term (no quotes :) ). It is a file grouper/ungrouper for the TI backups

When I get a moment, I will try to compare packages from the calcforge to the intrepid repos. I know that two of the Intrepid packages are older versions. Tilp2 and I think the other was libticables (which I suspect is the prob. anyway).

jpeach (launchpadspam) wrote :

rhaag71: Have you had a chance to compare the repo version to the packages that you manually installed? If so what did you find. It would be great to get the repos working.

I tried the same with the corresponding 64bit packages, but when I sudo tilp
it gives me Error: "/var/tmp/kdecache-roberto" is owned by uid 1000 instead
of uid 0. What can I do to fix this?

On Sat, Dec 27, 2008 at 9:52 PM, rhaag71 <email address hidden> wrote:

> Here is a workaround, and a fairly painless one at that. This will work
> for now, and may help in finding the issue in the future. Basically I
> just installed the deb packages for tilp2 from the calcforge repos.
>
> This is what I did to get tilp2 working on my Intrepid (32bit)
> install...
>
>
> First, if you still have the tilp2 (and dependencies) installed from the
> repos, open synaptic and remove them.
>
> Then goto this site and get the packages needed...
>
> http://repo.calcforge.org/debian/i386/dists/stable/main/binary-i386/
>
> (for a description of each package, click on the 'Packages' link in the
> directory at this site, you
> can download the description file by downloading 'Packages.gz' file)
>
> download the following packages...
>
> libticonv3_1.1.0-1_i386.deb
> libtifiles2-5_1.1.1-1_i386.deb
> libticalcs2-7_1.1.3-1_i386.deb
> libticables2-1_1.2.0-1_i386.deb
>
> gfm_1.02-1_i386.deb
> tilp2_1.12-1_i386.deb
>
> NOTE: I installed all of these in the order listed above
>
> After successful install of the above packages you will have to open a
> terminal and run tilp as sudo
>
> $ sudo tilp
>
> also gfm will run as normal, just type 'gfm' in a term (no quotes :) ).
> It is a file grouper/ungrouper for the TI backups
>
>
> When I get a moment, I will try to compare packages from the calcforge to
> the intrepid repos. I know that two of the Intrepid packages are older
> versions. Tilp2 and I think the other was libticables (which I suspect is
> the prob. anyway).
>
> --
> tilp doesn't work out of the box with the TI-GRAPH LINK USB cable
> https://bugs.launchpad.net/bugs/49251
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "tilp" source package in Ubuntu: Confirmed
>
> Bug description:
> It requires a module to be built :
> "If you have a SilverLink cable (TI-GRAPH LINK USB), you will need to
> retrieve
>
> a Linux/Win32/Mac OS-X driver on the Linux Programmer Group at
>
> <http://lpg.ticalc.org/prj_usb>."
> I could compile it, but it would be far better if it was in the repos.
> Moreover,although the cable is now detected (the name appears when listing
> usb devices), i can't transfer anything through tilp.
> Finally, you need to launch tilp as root to make it work correctly, and as
> a result you have access to root folders where there's nothing (i couldn't
> access any of my regular files)
>
>

--
---------------------
Roberto Sanchez

jpeach (launchpadspam) wrote :

rsanchez1: I installed tilp2 for amd64 and ran in with "sudo tilp2" and did not get that error. Are you running tilp2 as a regular user?

jpeach (launchpadspam) wrote :

I have a TI-89 Titanium using a SilverLink (USB) on an amd64 machine. The OS is Ubuntu 8.10. There is a known firmware issue on this calculator when using a USB connector. From what I have read you have to connect/disconnect the cable all the time.

tilp2 installed with no problem using:
# sudo apt-get install tilp2

The calculator is detected by the OS as the lsusb command displays it.

tilp runs using the following command with no problem. However, it does not detect the calculator.
#sudo tilp --calc=ti89t --cable=SilverLink

So I removed tilp2 that was installed from the repo. The latest version of tilp2 and the libraries can be downloaded from
http://repo.calcforge.org/debian/

For i386 you can download the latest versions using the following commands. Please note that as new versions are released these commands will have to be modified. However, you can always get to them via the web page at http://repo.calcforge.org/debian/

wget http://repo.calcforge.org/debian/i386/dists/stable/main/binary-i386/libticonv3_1.1.0-1_i386.deb
wget http://repo.calcforge.org/debian/i386/dists/stable/main/binary-i386/libtifiles2-5_1.1.1-1_i386.deb
wget http://repo.calcforge.org/debian/i386/dists/stable/main/binary-i386/libticalcs2-7_1.1.3-1_i386.deb
wget http://repo.calcforge.org/debian/i386/dists/stable/main/binary-i386/libticables2-1_1.2.0-1_i386.deb
wget http://repo.calcforge.org/debian/i386/dists/stable/main/binary-i386/tilp2_1.12-1_i386.deb

My machine is an amd64 so I used the following commands to download the deb packages.

wget http://repo.calcforge.org/debian/amd64/dists/stable/main/binary-amd64/libticonv3_1.1.0-1_amd64.deb
wget http://repo.calcforge.org/debian/amd64/dists/stable/main/binary-amd64/libtifiles2-5_1.1.1-1_amd64.deb
wget http://repo.calcforge.org/debian/amd64/dists/stable/main/binary-amd64/libticalcs2-7_1.1.3-1_amd64.deb
wget http://repo.calcforge.org/debian/amd64/dists/stable/main/binary-amd64/libticables2-1_1.2.0-1_amd64.deb
wget http://repo.calcforge.org/debian/amd64/dists/stable/main/binary-amd64/tilp2_1.12-1_amd64.deb

Before installing the deb there are some dependencies that are needed. Use the following to install them:
# sudo apt-get install kdelibs4c2a libarts1c2a libavahi-qt3-1 liblua50 liblualib50 kdelibs-data libartsc0

Then install the tilp debs

for i386:
#sudo dpkg -i libticonv3_1.1.0-1_i386.deb libtifiles2-5_1.1.1-1_i386.deb libticalcs2-7_1.1.3-1_i386.deb libticables2-1_1.2.0-1_i386.deb tilp2_1.12-1_i386.deb

for amd64:
#sudo dpkg -i libticonv3_1.1.0-1_amd64.deb libtifiles2-5_1.1.1-1_amd64.deb libticalcs2-7_1.1.3-1_amd64.deb libticables2-1_1.2.0-1_amd64.deb tilp2_1.12-1_amd64.deb

Note, the filenames above may have to be adjusted if newer versions are released.

After installing everything, I ran tilp using:
# sudo tilp --calc=ti89t --cable=SilverLink

It loaded with no problem but was painfully slow whenever it tried to talk to the calculator. As with the debs that came from the repo the app was not able to detect the calculator.

Does anyone see any reason this should not work? My gut tells me that the problem is with the SilverLink cable. Has anyone been able to get that to work?

rsanchez1 (rsanchez1990) wrote :

I can't run it as tilp2. The packages I installed from the calcforge repo
and it runs as tilp. Running "sudo tilp" works up until it gives me that
error. Also, I only have my user account on this machine, so I don't know
what could be the problem.

On Sat, Jan 31, 2009 at 1:49 AM, jpeach <email address hidden> wrote:

> rsanchez1: I installed tilp2 for amd64 and ran in with "sudo tilp2" and
> did not get that error. Are you running tilp2 as a regular user?
>
> --
> tilp doesn't work out of the box with the TI-GRAPH LINK USB cable
> https://bugs.launchpad.net/bugs/49251
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "tilp" source package in Ubuntu: Confirmed
>
> Bug description:
> It requires a module to be built :
> "If you have a SilverLink cable (TI-GRAPH LINK USB), you will need to
> retrieve
>
> a Linux/Win32/Mac OS-X driver on the Linux Programmer Group at
>
> <http://lpg.ticalc.org/prj_usb>."
> I could compile it, but it would be far better if it was in the repos.
> Moreover,although the cable is now detected (the name appears when listing
> usb devices), i can't transfer anything through tilp.
> Finally, you need to launch tilp as root to make it work correctly, and as
> a result you have access to root folders where there's nothing (i couldn't
> access any of my regular files)
>
>

--
---------------------
Roberto Sanchez

Martin Hansen (mh-mail) wrote :

The repository http://repo.calcforge.org/debian no longer exists.
However, the SVN contains a source that appears to be working with cables and a debian folder with build-instructions for Debian. So a solution could be to upgrade to the version from SVN and modify the build instructions.

The script (automated procedure) below works for me:

#!/bin/bash

# Make a source directory
mkdir tilp_src && cd tilp_src

# Get the source from SVN
svn co "http://svn.tilp.info/repos/tilp/tfdocgen/trunk" "tfdocgen"
svn co "http://svn.tilp.info/repos/tilp/libticables/trunk" "libticables"
svn co "http://svn.tilp.info/repos/tilp/libticonv/trunk" "libticonv"
svn co "http://svn.tilp.info/repos/tilp/libtifiles/trunk" "libtifiles"
svn co "http://svn.tilp.info/repos/tilp/libticalcs/trunk" "libticalcs"
svn co "http://svn.tilp.info/repos/tilp/gfm/trunk" "gfm"
svn co "http://svn.tilp.info/repos/tilp/tilp/trunk" "tilp"

# Install the build-dependencies
sudo aptitude install debhelper pkg-config libglib2.0-dev libgtk2.0-dev libglade2-dev libusb-dev zlib1g-dev kdelibs4-dev gettext groff-base autotools-dev chrpath

# Then buils and install each package

cd tfdocgen && debuild -us -uc && cd ..
sudo dpkg -i tfdocgen*.deb

cd libticables && debuild -us -uc && cd ..
sudo dpkg -i libticables*.deb

cd libticonv && debuild -us -uc && cd ..
sudo dpkg -i libticonv*.deb

cd libtifiles && debuild -us -uc && cd ..
sudo dpkg -i libtifiles*.deb

cd libticalcs && debuild -us -uc && cd ..
sudo dpkg -i libticalcs*.deb

cd gfm && debuild -us -uc && cd ..
sudo dpkg -i gfm*.deb

cd tilp && debuild -us -uc && cd ..
sudo dpkg -i tilp*.deb

# fix eventually dependencies with aptitude
sudo aptitude

SDY (ceeswillem) wrote :

Martin Hansen's solution won't work in 10.04, debuild command gives me some trouble so I tried installing myself (./congigure, make, make install for all). When I try to start tilp I get the following output (still no connection):

TiLP2 - Version 1.15, (C) 1999-2008 Romain Lievin
THIS PROGRAM COMES WITH ABSOLUTELY NO WARRANTY
PLEASE READ THE DOCUMENTATION FOR DETAILS
built on Oct 22 2010 15:02:36
tilp-INFO: setlocale: en_US.UTF-8
tilp-INFO: bindtextdomain: /usr/local/share/locale/
tilp-INFO: textdomain: tilp2
ticables-INFO: ticables library version 1.3.2
ticables-INFO: setlocale: en_US.UTF-8
ticables-INFO: bindtextdomain: /usr/local/share/locale
ticables-INFO: textdomain: libticables2
ticables-INFO: kernel: 2.6.32-25-generic
tifiles-INFO: tifiles library version 1.1.4
tifiles-INFO: setlocale: en_US.UTF-8
tifiles-INFO: bindtextdomain: /usr/local/share/locale
tifiles-INFO: textdomain: libtifiles2
ticalcs-INFO: ticalcs library version 1.1.6
ticalcs-INFO: setlocale: en_US.UTF-8
ticalcs-INFO: bindtextdomain: /usr/local/share/locale
ticalcs-INFO: textdomain: libticalcs2
ticables-INFO: Check for lib-usb support:
ticables-INFO: usb support: available.
ticables-INFO: Check for lib-usb usability:
ticables-INFO: usb filesystem (/dev/bus/usb/): mounted
ticables-INFO: Check for lib-usb support:
ticables-INFO: usb support: available.
ticables-INFO: Check for lib-usb usability:
ticables-INFO: usb filesystem (/dev/bus/usb/): mounted
tilp-INFO: Msg: illegal operation or argument.
Cause: the program which uses this library is buggy. Fire-up the developer!

What do the last lines mean?

debrouxl (lionel-debroux) wrote :

Hi, this is upstream.

At the end of 2009 and the beginning of 2010, I made a script for checking out / updating from SVN, building and installing libti*/gfm/tilp. You can find it at http://lpg.ticalc.org/prj_tilp/download/install_tilp.sh , it's linked from the project's Linux downloads page ( http://lpg.ticalc.org/prj_tilp/linux.html ).
Be sure to look inside the script for customization (source directory, installation prefix - both by default in $HOME, which requires modifying PATH and LD_LIBRARY_PATH) and a list of build dependencies :)
This script has been reported multiple times to work properly on Ubuntu 10.04 and other modern distros, so I'd be interested to know which exact cable model you're using: you shouldn't see these two last lines :)

Thanks in advance,
Lionel Debroux.

R.M. Hildigerr V. (moonsdad) wrote :

I've been trying to solve this problem for a while, and I finally got it to work.

Opened ~/.tilp
Changed the line "auto_detect=0" to "auto_detect=1" in the [OPTIONS] section.
Ran "tilp" at the cmd line, with my calculator pluged in and turned on.

killabee44 (killabee44) wrote :

Guys, none of the above solutions worked for me, however, Ramwi at the ubuntu forums came up with one that was simple and worked.

When launching TILP2, in a terminal window type:

sudo tilp --calc=ti89t --cable=DirectLink

debrouxl (lionel-debroux) wrote :

Hi, this is upstream.

If you're using the Ubuntu or Debian packages, it's natural that plain `tilp` does not work, and `sudo tilp` works. The packages don't perform the addition of udev rules noted in the CONFIG (duly mentioned by the http://lpg.ticalc.org/prj_tilp/download/install_tilp.sh script I posted above).
The Ubuntu and Debian packages are outdated anyway. There have been a significant number of fixes and several new features brewing up in SVN since TILP II 1.13, 1 year and 8 months ago. Some of them integrated to the TILP II 1.14 release 10 months ago (I notified the package maintainer), more of them since then.

For proper selection of the link cable, it should be either set for automatic detection, or manually configured in the GUI. I'll admit that for users of outdated versions, manual configuration is not intuitive (even though documented, AFAIK): one has to right-click on the line at the top of the tree in the left pane. This long-running gripe against the UI has been fixed in SVN in April-May 2010, shortly after the TILP II 1.14 release: there's now a menu that contains, between other things, the "Change device" option.

Lionel.

David (dbworth) wrote :

May 2012
I also found that tilp was a bit confusing to use out of the box:

Ubuntu 11.04 (KDE)
TI-89 Titanium
Black USB Cable "DirectLink"
The version of tilp in the repository is 1.13

I tried to install versions 1.14,1.15,1.16 from source, but they all asked for a newer version of GTK2.
*** If tilp can be run in console mode, then why do I need GTK???

#sudo aptitude install tilp

Running the program the first time
#sudo tilp
it will execute because it defaults to the serial interface.
However it won't find your calculator.

The program defaults to manual configuration, so you can try to guess the settings:
#sudo tilp --calc=ti89t --cable=DirectLink --port=4

However, if you get it wrong, you might get an error like:

Msg: illegal operation or argument.
Cause: the program which uses this library is buggy. Fire-up the developer!
System: No such file or directory (errno = 2)

*** This should be a more helpful error??
And the GUI will still load. It's not immediately obvious, other than the error on the console, that it didn't work.
But if you click the "DirList" button you'll get an error.

But if you specify the correct configuration, such as:
#sudo tilp --calc=ti89t --cable=DirectLink --port=1
the GUI will load with no console error.
If you click the "DirList" button, the console will show a listing of the files on your calculator.
To copy a *.89p file, just drag it into the left window. Note, don't set your calculator to "receive" mode, or it won't work.

You can also tell tilp to auto-detect your configuration.
#sudo pico /root/.tilp
and change
auto_detect=0
to
auto_detect=1

-----------------------------------

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers